#include <iostream>

using namespace std;

int main()
{
    int n, x, k, m;
    cin>> n>> k>> x;
    m = x + k;
    int a[n];
    a[0] = m;
    int r = 0;
    for(int i = 0; i < k; i ++)
    {
        if(i + 1 == n)
            break;
        a[i + 1] = m - x - i;
        r ++;
    }
    if(r < k && k > n - 1)
    {
        cout<<-1;
        return 0;
    }
    if(k > n - 1)
    {
        int j = k + 1;
        int t = 1;
        while(m - x + t < m && j < n)
        {
            a[j] = m - x + t;
            t ++;
            j ++;
        }
        if(j < n - 1)
        {
            cout<<-1;
            return 0;
        }
    }
    for(int i = 0; i < n; i ++)
        cout<<a[i]<<" ";
    return 0;
}